#ifndef __LINUX_VOL_H
#define __LINUX_VOL_H

#include <linux/kdev_t.h>
#include <linux/ioctl.h>

#ifdef __KERNEL__

#define MAX_VOL_DEV   16


extern int vol_sizes[MAX_VOL_DEV];
extern int vol_blocksizes[MAX_VOL_DEV];
extern int vol_diskchanged[MAX_VOL_DEV];


struct vol_disk
  {
    kdev_t dev;			/* Disk device */
    long size;			/* Disk size */
    struct vol_disk *next;
  };


struct vol_info
  {
    int type;
    int ready;
    int usecount;
    long size;
    int diskcount;
    struct vol_disk *disks;
  };

#endif

struct vol_add
  {
    int dev;
    int size;
  };

/* Volume IOCTLs */
#define VOL_IOCTL_SETUP  _IO('~',1)	/* Initialize volume */
#define VOL_IOCTL_START  _IO('~',2)	/* Start volume */
#define VOL_IOCTL_ADD    _IO('~',3)	/* Add device to volume */

/* Volume types */
#define VOL_UNUSED	0	/* Unused volume entry */
#define VOL_LINEAR	1	/* Volume set-up to linear (WinNT volume set) */
#define VOL_STRIPE	2	/* Volume set-up to stripe-set */

#endif
